﻿<#	
	.NOTES
	===========================================================================
	 Created with: 	SAPIEN Technologies, Inc., PowerShell Studio 2018 v5.5.152
	 Created on:   	5/8/2018 11:24 AM
	 Created by:   	pamstutz
	 Organization: 	Jack Henry Onboard
	 Filename:     	CreateShortcut.ps1
	===========================================================================
	.DESCRIPTION
		Creates shortcut to Deposits Multi-Bank Update Manager on public desktop
#>

if ((Test-Path  "$env:Public\Desktop\Deposits Update Manager.lnk") -eq $true)
{
	Write-Host  "Install Complete."
	Start-Sleep -Seconds 5

}
else
{
	try
	{
		
		$TargetFile = 'C:\Program Files\Jack Henry Onboard\Deposits Multi-Bank Update Manager\Deposits Multi-Bank Update Manager.exe'
		$ShortcutFile = "$env:Public\Desktop\Deposits MulitBank Update Manager.lnk"
		$WScriptShell = New-Object -ComObject WScript.Shell
		$Shortcut = $WScriptShell.CreateShortcut($ShortcutFile)
		$Shortcut.TargetPath = $TargetFile
		$Shortcut.Save()
		Write-Host  "Install Complete."
		Start-Sleep -Seconds 5
		
	}
	Catch
	{
		Write-Host  "Install Completed, unable to create shortcut."
		Start-Sleep -Seconds 5
	}
}